Previous:Display Output Options Main Index Next:CPU Utilization Histogram

#### File Output Options

`Output_to_File=` bool | Sets file output on/off
`+F` | Sets file output on (use default type)
`-F` | Sets file output off

By default, POV-Ray writes an image file to disk. When you are developing a scene and doing test renders, the graphic preview may be sufficient. To save time and disk activity you may turn file output off with `Output_to_File=off` or `-F`.

##### Output File Type

`Output_File_Type=` x | Sets file output format to x
`+F` xn | Sets file output on; sets format x, depth n
`-F` xn | Sets file output off; but in future use format x, depth n
`Output_Alpha=` bool | Sets alpha output on/off
`+UA` | Sets alpha output on
`-UA` | Sets alpha output off
`Bits_Per_Color=` n | Sets file output bits/color to n

The default type of image file depends on which platform you are using. MS-DOS and most others default to 24-bit uncompressed Targa. See your platform-specific documentation to see what your default file type is. You may select one of several different file types using `Output_File_Type=`x or `+F` x where x is one of the following...

`+FC` | C ompressed Targa-24 format (RLE, run length encoded)
`+FN` | New PNG (portable network graphics) format
`+FP` | Unix PPM format
`+FS` | S ystem-specific such as Mac Pict or Windows BMP
`+FT` | Uncompressed Targa-24 format

Note that the obsolete `+FD` dump format and `+FR` raw format have been dropped from POV-Ray 3.0 because they were rarely used and no longer necessary. PPM, PNG, and system specific formats have been added. PPM format images are uncompressed, and have a simple text header, which makes it a widely portable image format. PNG is a new image format designed not only to replace GIF, but to improve on its shortcomings. PNG offers the highest compression available without loss for high quality applications, such as ray-tracing. The system specific format depends on the platform used and is covered in the appropriate system specific documentation.

Most of these formats output 24 bits per pixel with 8 bits for each of red, green and blue data. PNG allows you to optionally specify the output bit depth from 5 to 16 bits for each of the red, green, and blue colors, giving from 15 to 48 bits of color information per pixel. The default output depth for all formats is 8 bits/color (16 million possible colors), but this may be changed for PNG format files by setting `Bits_Per_Color=`n or by specifying `+FN` n, where n is the desired bit depth.

Specifying a smaller color depth like 5 bits/color (32768 colors) may be enough for people with 8- or 16-bit (256 or 65536 color) displays, and will improve compression of the PNG file. Higher bit depths like 10 or 12 may be useful for video or publishing applications, and 16 bits/color is good for grayscale height field output (See section "Height Field" for details on height fields).

Targa format also allows 8 bits of alpha transparency data to be output, while PNG format allows 5 to 16 bits of alpha transparency data, depending on the color bit depth as specified above. You may turn this option on with `Output_Alpha=on` or `+UA`. The default is off or `-UA`. See section "Using the Alpha Channel" for further details on transparency.

In addition to support for variable bit-depths, alpha channel, and grayscale formats, PNG files also store the `Display_Gamma` value so the image displays properly on all systems (see section "Display Hardware Settings"). The `hf_gray_16` global setting, as described in section "HF_Gray_16" will also affect the type of data written to the output file.

##### Output File Name

`Output_File_Name=` file | Sets output file to file
`+O` file | Same as `Output_File_Name=`file

The default output filename is created from the scene name and need not be specified. The scene name is the input name with all drive, path, and extension information stripped. For example if the input file name is `c:\povray3\mystuff\myfile.pov` the scene name is `myfile`. The proper extension is appended to the scene name based on the file type. For example `myfile.tga` or `myfile.png` might be used.

You may override the default output name using `Output_File_Name=`file or `+O` file. For example:

     Input_File_Name=myinput.pov

     Output_File_Name=myoutput.tga

If an output file name of "-" is specified (a single minus sign), then the image will be written to standard output, usually the screen. The output can then be piped into another program or to a GUI if desired.

If the file specified is actually a path or directory or folder name and not a file name, then the default output name is used but it is written to the specified directory. For example:

     Input_File_Name=myscene.pov

     Output_File_Name=c:\povray3\myimages\

This will create `c:\povray3\myimages\myscene.tga` as the output file.

##### Output File Buffer

`Buffer_Output=` bool | Turn output buffering on/off
`+B` | Turn output buffering on
`-B` | Turn output buffering off
`Buffer_Size=` n | Set output buffer size to n kilobytes. If n is zero, no buffering. If n < system default, the system default is used.
`+B` n | Turn buffer on, set size n
`-B` n | Turn buffer off, but for future set size n

The `Buffer_Output` and `Buffer_Size` options and the `+B` switch allows you to assign large buffers to the output file. This reduces the amount of time spent writing to the disk. If this parameter is not specified, then as each row of pixels is finished, the line is written to the file and the file is flushed. On most systems, this operation ensures that the file is written to the disk so that in the event of a system crash or other catastrophic event, at least a part of the picture has been stored properly and retrievable on disk. The default is not to use any buffer.

Previous:Display Output Options Main Index Next:CPU Utilization Histogram